# Created by pyp2rpm-3.3.3
%global pypi_name python-subunit
%global srcname subunit

Name:           python-%{srcname}
Version:        1.4.0
Release:        1%{?dist}
Summary:        Python implementation of subunit test streaming protocol

License:        Apache-2.0 or BSD
URL:            http://launchpad.net/subunit
Source0:        https://files.pythonhosted.org/packages/source/p/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(docutils)
BuildRequires:  python3dist(extras)
BuildRequires:  python3dist(fixtures)
BuildRequires:  python3dist(fixtures)
BuildRequires:  python3dist(hypothesis)
BuildRequires:  python3dist(hypothesis)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(testscenarios)
BuildRequires:  python3dist(testscenarios)
BuildRequires:  python3dist(testtools) >= 0.9.34

%description
 subunit: A streaming protocol for test results Copyright (C) 2005-2013 Robert
Collins <robertc@robertcollins.net> Licensed under either the Apache License,
Version 2.0 or the BSD 3-clause license at the users choice. A copy of both
licenses are available in the project source as Apache-2.0 and BSD. You may not
use this file except in compliance with one of these two licences. Unless
required...

%package -n     python3-%{srcname}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{srcname}}

Requires:       python3dist(docutils)
Requires:       python3dist(extras)
Requires:       python3dist(fixtures)
Requires:       python3dist(hypothesis)
Requires:       python3dist(testscenarios)
Requires:       python3dist(testtools) >= 0.9.34
%description -n python3-%{srcname}
 subunit: A streaming protocol for test results Copyright (C) 2005-2013 Robert
Collins <robertc@robertcollins.net> Licensed under either the Apache License,
Version 2.0 or the BSD 3-clause license at the users choice. A copy of both
licenses are available in the project source as Apache-2.0 and BSD. You may not
use this file except in compliance with one of these two licences. Unless
required...


%prep
%autosetup -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%check
%{__python3} setup.py test

%files -n python3-%{srcname}
%license python/iso8601/LICENSE
%doc python/iso8601/README.subunit README.rst
%{_bindir}/subunit-1to2
%{_bindir}/subunit-2to1
%{_bindir}/subunit-filter
%{_bindir}/subunit-ls
%{_bindir}/subunit-notify
%{_bindir}/subunit-output
%{_bindir}/subunit-stats
%{_bindir}/subunit-tags
%{_bindir}/subunit2csv
%{_bindir}/subunit2disk
%{_bindir}/subunit2gtk
%{_bindir}/subunit2junitxml
%{_bindir}/subunit2pyunit
%{_bindir}/tap2subunit
%{python3_sitelib}/subunit
%{python3_sitelib}/python_subunit-%{version}-py%{python3_version}.egg-info

%changelog
* Mon Mar 16 2020 Athanasios Kanaris - 1.4.0-1
- Initial package.
